> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction information

## Overview

Allows the client to get updated transaction information from the server. It also allows the client to re-register the current Tab ID (from Events.js) and function to call, in case changes are registered with the server-side transaction object. Call this function to restart event notification if you navigate between pages.

## HTTP request

`POST /Agent/Wallet/GetTransactionInformation`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"transactionId": Required(Str(PTransactionId)),
	"tabId": Optional(Str(PTabId)),
	"functionName": Optional(Str(PFunctionName))
}
```

## Input parameters

| Parameter      | Description                                                                                                             |
| -------------- | ----------------------------------------------------------------------------------------------------------------------- |
| PTransactionId | ID of transaction.                                                                                                      |
| PTabId         | Optional TAB ID. Used by Events.js, and can be used to inform the client when a change is reported for the transaction. |
| PFunctionName  | Optional name of Javascript function to call if Events.js is included, and a Tab ID is reported.                        |

## Response (JSON)

```json theme={null}
{
	"id":Required(Str(PId)),
	"state":Required(Str(PState)),
	"started":Required(DateTime(PStarted)),
	"ended":Optional(DateTime(PEnded)),
	"serviceId": Required(Str(PServiceId)),
	"serviceProvider": Required(Str(PServiceProvider)),
	"amount": Required(Double(PAmount)),
	"currency": Required(Str(PCurrency)),
	"successUrl": Optional(Str(PSuccessUrl)),
	"failureUrl": Optional(Str(PFailureUrl)),
	"cancelUrl": Optional(Str(PCancelUrl)),
	"clientUrl": Optional(Str(PClientUrl))
}
```

## Response parameters

| Parameter        | Description                                                                                                                                                                |
| ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PId              | ID of transaction.                                                                                                                                                         |
| PState           | State of transaction. Possible values are `Created`, `Preparing`, `Prepared`, `Executing`, `Executed`, `Committing`, `Committed`, `RollingBack`, `RolledBack` and `Error`. |
| PStarted         | When transaction started.                                                                                                                                                  |
| PEnded           | When (if) transaction ended.                                                                                                                                               |
| PServiceId       | ID of service to use.                                                                                                                                                      |
| PServiceProvider | ID of service provider publishing the service selected.                                                                                                                    |
| PAmount          | Amount of eDaler involved in the transaction.                                                                                                                              |
| PCurrency        | Currency of eDaler involved in the transaction.                                                                                                                            |
| PSuccessUrl      | Optional URL to call from Client web page, when the transaction has concluded successfully.                                                                                |
| PFailureUrl      | Optional URL to call from Client web page, if the transaction fails.                                                                                                       |
| PCancelUrl       | Optional URL to call from Client web page, if the client cancels the transaction.                                                                                          |
| PClientUrl       | URL to third-party web page that the client needs to open and complete, for the transaction to take place.                                                                 |

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
